Subject: Re: FW: fvwm and "RaiseHackNeeded"

From: Dan Espen <[email-masked]>
Date: Wed, 11 Jul 2001 17:10:26 -0400

`Chris Baer <[email-masked]> writes:
> Hello Dan,
> 
> I just noticed your fix from 2001-06-23:
> 
> * fvwm/fvwm.c (InitVariables): Add the vendor string for Reflection X to
> automatically set RaiseHackNeeded.
> 
> Could you please explain what this fix is about?  Is there something we need
> to do to play well with fvwm or is this a problem on your side?
> 
> Please advise.  Thanks!
> 
> - Chris
> 
> Chris Baer
> Lead Test Engineer
> Reflection X
> WRQ, Inc.

Hi,

  Thanks for your interest.

  I've taken the liberty of copying the fvwm-workers list.  Some of the
other workers may have more insight than I do.  I wasn't the one that
came up with the original solution.

  The RaiseHackNeeded switch is used in stack.c around line 723.  We've found
that we need to do this for all X emulators on Windows if we want to raise
the X windows above the windows native windows.

  What that logic does is go thru every window in stacking order and
raise them all.  I guess thats because Reflection X (and all the other X
emulators we know about) represent windows native windows as override
redirect windows and the only way we can stack above them is to restack
them all.

  This doesn't seem to cause any visible problem so I don't think
you would need to change anything on your side.  If you have any ideas
about what we should be doing, we'd be happy to hear from you.

Thanks,
-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]